Mac Forums

Mac Forums (http://www.mac-forums.com/forums/)
-   OS X - Apps and Games (http://www.mac-forums.com/forums/os-x-apps-games/)
-   -   IM apps that still work on 10.3 (http://www.mac-forums.com/forums/os-x-apps-games/194018-im-apps-still-work-10-3-a.html)

Jamie-Jamie 03-09-2010 04:47 AM

IM apps that still work on 10.3
 
So I have an old friend who has a Lombard and runs 10.3.9 on it. She really wants to keep up with people on Yahoo! Messenger, but alas, as is the case in the Mac world, developers haven't allowed current versions to run on releases before the rather-recent. Yahoo! Messenger itself and Adium both require Tiger at this point, though neither of them make use of a single feature that actually requires El Tigre.

Unfortunately, Yahoo loves to cut older clients out from actually working, so you get marginalized if you can't keep your OS up to date. This doesn't help someone like my friend who owns a Lombard and can't afford anything newer.

My first attempt was to edit Info.plist for Y!Msgr and change the "required system" string from 10.4.0 to 10.3.0 but it was a no-go. Still wouldn't launch... so does it require some feature of Tiger to do no more than the last crappy "beta" of Yahoo 3? Who knows.

I'm going to try something with Adium, but I just have a feeling that since the last version that runs on 10.3 is from like... two years ago... that it won't properly connect to Yahoo's servers.

I hate the great marginalizing power of internet technologies.

dtravis7 03-09-2010 04:54 AM

When I got into OSX with 10.2 and shortly after 10.3 there was Adium, Proteus and Fire. Versions of each can be found for download especially at that oldapps site, BUT....

I am wondering if any will work with Yahoo since they have changed the protocol a few times breaking older clients that use the lib Purple/Pidgen which is used to connect with Yahoo and others in Adium for sure.

I will check around and see if I can find something that will do Yahoo with the current protocol and 10.3 but don't hold your breath. If it was not for Yahoo and MSN for another changing things and breaking clients you could just use a older version of any of the 3 I mentioned above.

If your friend was using AIM I probably could find something. Even iChat works in fact in 10.3 with AIM. Tried it a few months ago on my old iMac G3. I know there are ways to get iChat to work with Yahoo via (forget the name, it's late!). I wonder if that might be a way around the Yahoo issue? I will check into that also.

Jamie-Jamie 03-09-2010 09:10 AM

Oooh... if we could make iChat work, that would be absolutely tops. Heck, then I could cut out another third party app! :D

But seriously... I really, really wish that something on the webs could stabilize. It's like browsers that keep updating and marginalizing OSes without adding significant new functionality.

chas_m 03-09-2010 09:20 AM

iChat will work fine, but won't work with Yahoo's network.

And the reasons "developers" leave out older versions has little to do with them (usually); the tools they are using to compile their apps leave out older versions.

Panther (10.3) is seven years old now, so its rather unsurprising that it's been left behind, particularly by the internet. If Adium doesn't have a version that works correctly with both 10.3 and current-day Yahoo, I'd say its iChat or nothing.

dtravis7 03-09-2010 05:33 PM

Yahoo does indeed work iChat using Jabber. I set it up once in fact. Only problem is I forgot it was with iChat 3.0 which means 10.4 Tiger. So no iChat with yahoo in 10.3. Sorry. Still looking for something for you but I have a feeling with Yahoo since they have changed so much it will be a dead end.


All times are GMT -4. The time now is 02:14 PM.

Powered by vBulletin
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.